play.classloading

## Class HotswapAgent

- java.lang.Object
- - play.classloading.HotswapAgent

-     public class HotswapAgent
      extends java.lang.Object

  Enable HotSwap when it's possible.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HotswapAgent()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `premain(java.lang.String agentArgs, java.lang.instrument.Instrumentation instrumentation)`
    `static void` | `reload(java.lang.instrument.ClassDefinition... definitions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          public static boolean enabled

  - ### Constructor Detail

    - #### HotswapAgent

          public HotswapAgent()

  - ### Method Detail

    - #### premain

          public static void premain(java.lang.String agentArgs,
                                     java.lang.instrument.Instrumentation instrumentation)

    - #### reload

          public static void reload(java.lang.instrument.ClassDefinition... definitions)
                             throws java.lang.instrument.UnmodifiableClassException,
                                    java.lang.ClassNotFoundException

      Throws:
        `java.lang.instrument.UnmodifiableClassException`
        `java.lang.ClassNotFoundException`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly